[Cubicweb] CubicWeb Stable Branch Error

Nicolas Chauvat nicolas.chauvat at logilab.fr
Tue Jun 3 09:37:32 CEST 2014


Hola Carlos,

On Mon, Jun 02, 2014 at 07:13:04PM -0500, Carlos Balderas wrote:
> I just want you to inform about an error I am getting when using CW stable
> branch greater than the following changeset:

If you want to use CubicWeb from the source tree, I suggest you use
http://mercurial.selenic.com/wiki/GuestrepoExtension and clone 
http://hg.logilab.org/grshells/grshell-cubicweb/

Basic quickstart info would be:

cd myworkdir
hg clone http://hg.logilab.org/grshells/grshell-cubicweb/
cd grshell-cubicweb
hg grpull -j3 # -j3 to get 3 pulls in parallel
hg up cubicweb-3.18 # use cubicweb-3.18 bookmark assuming you want it
hg grup -j5 # -j5 to get 5 updates in parallel
export PYTHONPATH=`pwd`
./cubicweb/bin/cubicweb-ctl list

Then cubicweb and all its dependencies should be in a consistent
state.

Using guestrepo for your own project, you can make sure your working
directory contains the right version of your cubes. Ask here on the
list if you need more info.

Of course, when you use CW in production, I recommend using the Debian
packages, not the guestrepo.

Does that help?

-- 
Nicolas Chauvat

logilab.fr - services en informatique scientifique et gestion de connaissances  


More information about the Cubicweb mailing list